Operation Statuses - Get

Get the status of a long running azure asynchronous operation.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.OperationalInsights/locations/{location}/operationStatuses/{asyncOperationId}?api-version=2025-07-01

URI Parameters

Name In Required Type Description
asyncOperationId
path True

string

The operation Id.

location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

OperationStatus

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get specific operation status

Sample request

GET https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/providers/Microsoft.OperationalInsights/locations/West US/operationStatuses/713192d7-503f-477a-9cfe-4efc3ee2bd11?api-version=2025-07-01

Sample response

{
  "name": "713192d7-503f-477a-9cfe-4efc3ee2bd11",
  "endTime": "2017-01-01T16:13:13.933Z",
  "id": "/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/locations/westus/operationStatuses/713192d7-503f-477a-9cfe-4efc3ee2bd11",
  "startTime": "2017-01-01T13:13:13.933Z",
  "status": "Succeeded"
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

OperationStatus

The status of operation.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

OperationStatus

The status of operation.

Name Type Description
endTime

string

The end time of the operation.

error

ErrorResponse

Error response
The error detail of the operation if any.

id

string

The operation Id.

name

string

The operation name.

startTime

string

The start time of the operation.

status

string

The status of the operation.